{% macro header(base, active_tab) %}
  <header>
    <a
      href="#main-content"
      class="bg-primary text-white skip-link visually-hidden-focusable"
    >
      Zum Hauptinhalt springen
    </a>

    <nav
      class="navbar bg-body-tertiary navbar-expand-xl fw-semibold border-bottom py-0"
      aria-label="Hauptnavigation"
    >
      <div class="container-fluid">
        <a class="navbar-brand py-0" href="/">
          <img
            src="{{ get_static_url('/img/logo.png') }}"
            alt="FIM-Portal Logo"
            height="72"
            class="me-2"
          />
        </a>

        <button
          class="navbar-toggler"
          type="button"
          data-bs-toggle="collapse"
          data-bs-target="#navcol-5"
          aria-controls="navcol-5"
          aria-expanded="false"
          aria-label="Toggle navigation"
        >
          <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse py-2 py-xl-0" id="navcol-5">
          <ul class="navbar-nav m-auto mb-2 mb-lg-0">
            {% macro _nav_link(id, href, label) %}
              {% if active_tab == id %}
                <li class="nav-item px-1 rounded bg-light">
                  <a class="nav-link link-primary" href="{{ href }}"
                    >{{ label }}</a
                  >
                </li>
              {% else %}
                <li class="nav-item px-1">
                  <a class="nav-link" href="{{ href }}">{{ label }}</a>
                </li>
              {% endif %}
            {% endmacro %}

            {{ _nav_link("ueber-fim", "/ueber-fim", "Was ist FIM?") }}
            {{ _nav_link("schulung", "/schulung", "Schulung") }}
            {{ _nav_link("arbeitsmittel", "/arbeitsmittel", "Arbeitsmittel") }}
            {{ _nav_link("kataloge", "/kataloge", "Kataloge") }}
            {{ _nav_link("news", "/news", "News") }}
            {{ _nav_link("kontakt", "/kontakt", "Kontakt") }}

            <li class="nav-item">
              <a
                class="nav-link icon-link"
                target="_blank"
                href="{{ base.docs_link }}"
                aria-label="Dokumentation (öffnet in neuem Tab)"
              >
                Dokumentation
                <svg class="bi" aria-hidden="true">
                  <use xlink:href="#box-arrow-up-right"></use>
                </svg>
              </a>
            </li>
          </ul>

          <a
            class="btn {% if active_tab == "bausteinsuche" %}btn-light{% else %}btn-primary{% endif %}"
            href="/search"
            >Bausteinsuche
            <i class="bi bi-search ms-1" aria-hidden="true"></i>
          </a>
        </div>
      </div>
    </nav>
    <div
      class="container-fluid bg-body-secondary text-center p-2 border-bottom"
    >
      {% if show_production_header %}
        Das neue FIM Portal wird aktiv weiterentwickelt.
        <a
          href="mailto:git+fitko-fim-portal-1010-issue-@opencode.de"
          class="alert-link text-decoration-underline"
          target="_blank"
          >Feedback senden</a
        >
        |
        <a
          href="https://docs.fitko.de/fim/docs/quer/fim_portal_sources"
          class="alert-link text-decoration-underline"
          target="_blank"
          aria-label="Infos zu Datenquellen (öffnet in neuem Tab)"
          >Infos zu Datenquellen</a
        >
      {% else %}
        Dies ist die interne Entwicklungsumgebung des FIM Portals. Bitte nutzen
        Sie die
        <a
          href="https://neu.fimportal.de"
          class="alert-link text-decoration-underline"
          target="_blank"
          aria-label="Produktive Umgebung (öffnet in neuem Tab)"
          >produktive Umgebung</a
        >.
      {% endif %}
    </div>
  </header>
{% endmacro %}
